Subject: [Dhcpv6bis] DHCPv6 BakeOffs in 2007/2008

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 14 Jan 2014 22:44:23 +0000

Hi:

There were 3 Comcast sponsored DHCPv6 bake-offs in 2007 and 2008. I've found two presentations with the results from the events.

http://www.ietf.org/proceedings/68/slides/dhc-8.pdf (1st, March 2007)
http://www.ietf.org/proceedings/71/slides/dhc-10.pdf (3rd, March 2008)

I haven't found one for the 2nd (which was just after the Vancouver IETF-70) so perhaps there was none (since the next was the March 2008). And, sadly I don't have any good notes (at least that I've found so far) from that event.

The IETF-71 presentation lists just one issue around Leasequery but doesn't detail what the issue was. And, anyway, our DHCPv6bis work won't cover leasequery so it doesn't really matter.

The IETF-68 presentation does list a bunch of issues (highest numbered is 16). We probably should do through these and discuss ones to include in the issues tracker. For example, Issue 7 is "Some clients use IAADDR with all zero to request specific lifetimes" (same goes for PD to request a prefix length). This behavior strictly speaking isn't documented in RFC 3315 so perhaps it should be mentioned?

I haven't reviewed the full list carefully and there may be some that require a bit more discussion (perhaps even with DHC WG and/or including in the stateful issues draft?) before accepting.

---

I am also following up with Tim Winters for the UNH Interop. Lab as they have held various events (mostly for CableLabs interop testing) and also do certification for DHCPv6 clients, relays, and servers. So he may have some useful items to include. Tomek is following up with CableLabs too.

-          Bernie